import { Product, ProductVariant } from '../types';
interface Options {
    initialVariant?: string | 'first' | 'last';
}
export interface UseProductVariant {
    currentVariant?: ProductVariant;
    selectVariant: (variantId: string) => void;
}
export declare const useProductVariant: (product: Product, options?: Options) => {
    currentVariant: ProductVariant;
    selectVariant: (variantId: string) => void;
};
export {};
